package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.dto.DataAlarmListDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TShouhuanAlarmListMapper;
import com.ruoyi.system.domain.TShouhuanAlarmList;
import com.ruoyi.system.service.ITShouhuanAlarmListService;

/**
 * 手环报警列信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-07
 */
@Service
public class TShouhuanAlarmListServiceImpl implements ITShouhuanAlarmListService 
{
    @Autowired
    private TShouhuanAlarmListMapper tShouhuanAlarmListMapper;

    /**
     * 查询手环报警列信息
     * 
     * @param id 手环报警列信息主键
     * @return 手环报警列信息
     */
    @Override
    public TShouhuanAlarmList selectTShouhuanAlarmListById(Integer id)
    {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmListById(id);
    }

    /**
     * 查询手环报警列信息列表
     * 
     * @param tShouhuanAlarmList 手环报警列信息
     * @return 手环报警列信息
     */
    @Override
    public List<TShouhuanAlarmList> selectTShouhuanAlarmListList(TShouhuanAlarmList tShouhuanAlarmList)
    {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmListList(tShouhuanAlarmList);
    }

    @Override
    public List<DataAlarmListDto> selectTShouhuanAlarmList(DataAlarmListDto dataAlarmListDto) {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmList(dataAlarmListDto);
    }

    @Override
    public int selectTShouhuanAlarmListCount() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmListCount();
    }

    /**
     * 新增手环报警列信息
     * 
     * @param tShouhuanAlarmList 手环报警列信息
     * @return 结果
     */
    @Override
    public int insertTShouhuanAlarmList(TShouhuanAlarmList tShouhuanAlarmList)
    {
        tShouhuanAlarmList.setCreateTime(DateUtils.getNowDate());
        return tShouhuanAlarmListMapper.insertTShouhuanAlarmList(tShouhuanAlarmList);
    }

    /**
     * 修改手环报警列信息
     * 
     * @param tShouhuanAlarmList 手环报警列信息
     * @return 结果
     */
    @Override
    public int updateTShouhuanAlarmList(TShouhuanAlarmList tShouhuanAlarmList)
    {
        return tShouhuanAlarmListMapper.updateTShouhuanAlarmList(tShouhuanAlarmList);
    }

    /**
     * 批量删除手环报警列信息
     * 
     * @param ids 需要删除的手环报警列信息主键
     * @return 结果
     */
    @Override
    public int deleteTShouhuanAlarmListByIds(Integer[] ids)
    {
        return tShouhuanAlarmListMapper.deleteTShouhuanAlarmListByIds(ids);
    }

    /**
     * 删除手环报警列信息信息
     * 
     * @param id 手环报警列信息主键
     * @return 结果
     */
    @Override
    public int deleteTShouhuanAlarmListById(Integer id)
    {
        return tShouhuanAlarmListMapper.deleteTShouhuanAlarmListById(id);
    }

    @Override
    public int selectTShouhuanAlarmSOS() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmSOS();
    }

    @Override
    public int selectTShouhuanAlarmSOSSolve() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmSOSSolve();
    }

    @Override
    public int selectTShouhuanAlarmRail() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmRail();
    }

    @Override
    public int selectTShouhuanAlarmRailSolve() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmRailSolve();
    }

    @Override
    public int selectTShouhuanAlarmHeart() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmHeart();
    }

    @Override
    public int selectTShouhuanAlarmHeartSolve() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmHeartSolve();
    }

    @Override
    public int selectTShouhuanAlarmFall() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmFall();
    }

    @Override
    public int selectTShouhuanAlarmFallSolve() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmFallSolve();
    }

    @Override
    public int selectTShouhuanAlarmLow() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmLow();
    }

    @Override
    public int selectTShouhuanAlarmLowSolve() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmLowSolve();
    }

    @Override
    public int selectTShouhuanAlarmStatus() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmStatus();
    }

    @Override
    public int selectTShouhuanAlarmStatusSolve() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmStatusSolve();
    }

    @Override
    public int selectTShouhuanAlarmOtherSolve() {
        return tShouhuanAlarmListMapper.selectTShouhuanAlarmOtherSolve();
    }
}
